{
  duration: 1,
  onStart(pokemon) {
    this.add("-singleturn", pokemon, "move: Alluring Aroma");
  },
  onFoeRedirectTargetPriority: 1,
  onFoeRedirectTarget(target, source, source2, move) {
    const alluringAromaUser = this.effectState.target;
    if (alluringAromaUser.isSkyDropped())
      return;
    if (!source.hasType("Poison") && this.validTarget(alluringAromaUser, source, move.target)) {
      if (move.smartTarget)
        move.smartTarget = false;
      this.debug("Alluring Aroma redirected target of move");
      return alluringAromaUser;
    }
  }
}